Package be.ehealth.business.intrahubcommons.exception

# Class KmehrBusinessConnectorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
be.ehealth.technicalconnector.exception.ConnectorException
be.ehealth.business.intrahubcommons.exception.IntraHubBusinessConnectorException
be.ehealth.business.intrahubcommons.exception.KmehrBusinessConnectorException

All Implemented Interfaces:
  `Serializable`

public class KmehrBusinessConnectorException extends IntraHubBusinessConnectorException
KmerhBusinessConnectorException contains the original list of ErrorType

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KmehrBusinessConnectorException(IntraHubBusinessConnectorExceptionValues errorCodeValue, Object... params)`
  Creates a new KmehrBusinessConnectorException
  `KmehrBusinessConnectorException(IntraHubBusinessConnectorExceptionValues errorCodeValue, Throwable e, Object... params)`
  Creates a new KmehrBusinessConnectorException
  `KmehrBusinessConnectorException(IntraHubBusinessConnectorExceptionValues errorCodeValue, List<ErrorType> listOfErrorType, Object... params)`
  Creates a new KmehrBusinessConnectorException

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ErrorType>`
  `getListOfErrorType()`

  ### Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException

  `getErrorCode`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### KmehrBusinessConnectorException

    public KmehrBusinessConnectorException(IntraHubBusinessConnectorExceptionValues errorCodeValue, Object... params)
    Creates a new KmehrBusinessConnectorException
    Parameters:
      `errorCodeValue` - the IntraHubBusinessConnectorExceptionValue
      `params` - the strings to complete to errorCodeValue message

  - ### KmehrBusinessConnectorException

    public KmehrBusinessConnectorException(IntraHubBusinessConnectorExceptionValues errorCodeValue, Throwable e, Object... params)
    Creates a new KmehrBusinessConnectorException
    Parameters:
      `errorCodeValue` - the IntraHubBusinessConnectorExceptionValue
      `e` - the initial exception
      `params` - the strings to complete to errorCodeValue message

  - ### KmehrBusinessConnectorException

    public KmehrBusinessConnectorException(IntraHubBusinessConnectorExceptionValues errorCodeValue, List<ErrorType> listOfErrorType, Object... params)
    Creates a new KmehrBusinessConnectorException
    Parameters:
      `errorCodeValue` - the IntraHubBusinessConnectorExceptionValue
      `listOfErrorType` - the list of ErrorType
      `params` - the strings to complete to errorCodeValue message

- ## Method Details

  - ### getListOfErrorType

    public List<ErrorType> getListOfErrorType()
    Returns:
      the listOfErrorType